Report Funds Collection

Applicable only to platform-funded integrations. Use this endpoint to notify finmid that you have collected funds from your businesses for a specific batch.

In a platform-funded integration, the platform provides its own capital to businesses while finmid provides the infrastructure (e.g. underwriting model). After reporting collections via Report Payment API or Add Sales Statements API, the platform collects the funds from businesses and then calls this endpoint to confirm the collection.

The batch_id must match a batch previously used in Report Payment API or Add Sales Statements API. The amount and currency should correspond to the total collected for that batch (excluding the platform commission).

Integration models

There are two integration models for handling collections:

  • Platform-funded: The platform provides its own capital. After collecting from businesses, use this endpoint to report the collection to finmid.
  • finmid-funded: finmid provides the capital. After collecting from businesses, the platform sends the funds to finmid's bank account via bank transfer (simulated via Sales statements batch payment API in sandbox).

Typical flow (platform-funded)

  1. Report collections using Report Payment API or Add Sales Statements API, grouped by batch_id.
  2. Optionally retrieve aggregated batch data using Get Payment Batch API or Get Sales Statements API.
  3. Collect the funds from your businesses.
  4. Call this endpoint to confirm the collection to finmid (using batch_id and payment_amount from 2nd step, without platform_commission_amount).
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required
length ≤ 100

Unique identifier for the specific payment batch.

Body Params
number
required
≥ 100

Amount of the collection funds being reported.

string
required

ISO 4217 currency code of the collection funds.

sender
object
required

Details of the sender of the collection funds.

date-time
required

UTC timestamp when the funds were collected (ISO 8601 datetime).

metadata
object | null

Contains a set of flexible, custom key-value pairs. Used for sharing extra data.

Responses
202

Collection funds report successfully accepted.

401

Missing or invalid API key. Could not authenticate API request.

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json